#### Beyond Linux® From Scratch (systemd Edition) - Version r13.0-491

### Chapter 46. Printing

- Prev

  Cups-2.4.19

- Next

  cups-filters-2.0.1

- Up
- Home

# cups-browsed-2.1.1

## Introduction to cups-browsed

The cups-browsed daemon is used to browse the network for remote CUPS queues and IPP network printers and automatically create local queues pointing to them.

### Note

Development versions of BLFS may not build or run some packages properly if LFS or dependencies have been updated since the most recent stable versions of the books.

### Package Information

- Download (HTTP): https://github.com/OpenPrinting/cups-browsed/releases/download/2.1.1/cups-browsed-2.1.1.tar.xz

- Download MD5 sum: 293948973ebfc7ef4d5d8242d5733181

- Download size: 412 KB

- Estimated disk space required: 5.3 MB

- Estimated build time: less than 0.1 SBU (Using parallelism=4)

### cups-browsed Dependencies

#### Required

Avahi-0.8, libcupsfilters-2.1.1 and libppd-2.1.1

#### Optional

OpenLDAP-2.6.13

## Installation of cups-browsed

Install cups-browsed by running the following commands:

    ./configure --prefix=/usr                \
                --with-cups-rundir=/run/cups \
                --without-rcdir              \
                --disable-static             \
                --docdir=/usr/share/doc/cups-browsed-2.1.1 &&
    make

This package does not come with a functional test suite.

Now, as the `root` user:

    make install

Install the systemd unit by running the following command as the `root` user:

    install -v -m644 daemon/cups-browsed.service /lib/systemd/system/cups-browsed.service

## Command Explanations

`--disable-static`: This switch prevents installation of static versions of the libraries.

`--with-cups-rundir=/run/cups`: Defines the directory containing transient printing data. The default `/var/run/cups` is obsolete.

`--without-rcdir`: This switch disables installation of the bundled bootscript which is not compatible with BLFS.

## Configuring cups-browsed

### Systemd Unit

To start the cups-browsed daemon at boot, enable the previously installed systemd unit by running the following command as the `root` user:

    systemctl enable cups-browsed

## Contents

Installed Programs: cups-browsed
Installed Libraries: None
Installed Directories: None

### Short Descriptions

cups-browsed | is a daemon for browsing the Bonjour and CUPS broadcasts of shared, remote CUPS printers

- Prev

  Cups-2.4.19

- Next

  cups-filters-2.0.1

- Up
- Home